import java.awt.event.*;

/**
 * Lab #5 CS 2334, Section SECTION NUMBER GOES HERE DATE GOES HERE
 * <p>
 * The MVC controller for the program.
 * </p>
 * 
 * @version 1.0
 * 
 */
public class CandidatesController {
	private CandidatesModel model;
	private CandidatesInputWindow inputView;

	/**
	 * Creates new CandidatesController
	 */
	public CandidatesController() {
		// intentionally empty
	}

	/**
	 * AddCandidateListener provides a method to create a new candidate. The candidate
	 * should then be added to the candidate list of the model. The values for the
	 * new candidate come from the fields of the inputView. If the model is null
	 * when the method is called, it returns without taking any action.
	 */
	private class AddCandidateListener implements ActionListener {
		// add method here

	}

	/**
	 * ClearCandidatesListener provides a method to clear the candidate list of the
	 * model. If the model is null when the method is called, it returns without
	 * taking any action.
	 */
	private class ClearCandidatesListener implements ActionListener {
		// add method here

	}

	/**
	 * ClearInputFieldsListener provides a method to clear the input fields of
	 * the inputView.
	 */
	private class ClearInputFieldsListener implements ActionListener {
		// add method here

	}

	/**
	 * @param model to set as the model
	 */
	public void setModel(CandidatesModel model) {
		this.model = model;
	}

	/**
	 * @return model
	 */
	public CandidatesModel getModel() { // future use
		return model;
	}

	/**
	 * @param theView on which the listeners should be set
	 */
	public void setInputWindow(CandidatesInputWindow theView) {
		inputView = theView;

		// Register listeners
		inputView.getAddCandidateButton().addActionListener(new AddCandidateListener());

		/***
		 *** The first action listener has been added above. You need to add the
		 * others below. There needs to be at least one action listener for each
		 * component on which actions can occur.
		 ***/
		

		System.out.println("listeners registered in controller for input window");
	}

	/**
	 * @return the window (in case it needs to be sent messages from elsewhere)
	 */
	public CandidatesInputWindow getInputWindow() { // future use
		return inputView;
	}
}