/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a candidate.
 * </p>
 * @version 1.0
 *
 */
public class Candidate {
	private String name;
	private String birthPlace;
	private String birthDate;
	private String party;
	
	/**
	 * @param name
	 * @param birthPlace
	 * @param birthDate
	 * @param party
	 */
	public Candidate(String name, String birthPlace, String birthDate, String party) {
		this.setName(name);
		this.setBirthPlace(birthPlace);
		this.setBirthDate(birthDate);
		this.setParty(party);
	}

	/**
	 * @return the name of the candidate
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set as the candidate's name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the birthplace
	 */
	public String getBirthPlace() {
		return birthPlace;
	}
	
	/**
	 * @param birthPlace the birthplace to set for the candidate
	 */
	public void setBirthPlace(String birthPlace) {
		this.birthPlace = birthPlace;
	}

	/**
	 * @return the candidate's party
	 */
	public String getParty() {
		return party;
	}

	/**
	 * @param party the party affiliation to set for the candidate
	 */
	public void setParty(String party) {
		this.party = party;
	}

	/**
	 * @return the candidate's birthdate
	 */
	public String getBirthDate() {
		return birthDate;
	}

	/**
	 * @param birthDate the date to set as the candidate's date of birth
	 */
	public void setBirthDate(String birthDate) {
		this.birthDate = birthDate;
	}
	
	/**
	 * @return the candidate as a String
	 */
	public String toString() {
		return name + " (" + party + ") born in " + birthPlace + " on " + birthDate;
	}
}
